Skip to main content
POST
/
cluster
/
{clusterId}
/
argoCdConfig
Save ArgoCD credentials for a cluster
curl --request POST \
  --url https://api.qovery.com/cluster/{clusterId}/argoCdConfig \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "argocd_url": "https://argocd.example.com",
  "argocd_token": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "argocd_url": "https://argocd.example.com",
  "argocd_token": "REDACTED",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "last_checked_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

clusterId
string<uuid>
required

Cluster ID

Body

application/json
argocd_url
string
required

The URL of the ArgoCD instance (e.g. https://argocd.example.com)

Example:

"https://argocd.example.com"

argocd_token
string
required

ArgoCD API authentication token

Response

ArgoCD credentials saved

id
string<uuid>
required
cluster_id
string<uuid>
required
argocd_url
string
required
Example:

"https://argocd.example.com"

argocd_token
string
required

Always returned as REDACTED

Example:

"REDACTED"

created_at
string<date-time>
required
updated_at
string<date-time>
required
last_checked_at
string<date-time> | null